<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/supply_chain_bg_color"
    android:orientation="vertical">

    <include layout="@layout/supply_chain_top_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_47"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_5"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_5"
        android:background="@drawable/shape_white_eight_corners_bg"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/iv_warehouse_list_search"
            android:layout_width="@dimen/dp_24"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="@dimen/dp_10"
            android:src="@drawable/ic_search" />

        <EditText
            android:id="@+id/ed_warehouse_list_search"
            style="@style/AppEditTextStyle_333"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:layout_weight="1"
            android:background="@null"
            android:hint="@string/search_food_name_no"
            android:imeOptions="actionSearch"
            android:inputType="text"
            android:maxLength="20"
            android:maxLines="1" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="@dimen/dp_7"
            android:paddingBottom="@dimen/dp_7">

            <TextView
                style="@style/WareHouse_Title_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="過期食材" />

            <TextView
                android:id="@+id/tv_overdue_food_num"
                style="@style/WareHouse_Value_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_6"
                android:text="@string/str_zero" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_1"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="@dimen/dp_7"
            android:paddingBottom="@dimen/dp_7">

            <TextView
                style="@style/WareHouse_Title_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="將過期食材" />

            <TextView
                android:id="@+id/tv_expiring_soon_food_num"
                style="@style/WareHouse_Value_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_6"
                android:text="@string/str_zero" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_1"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="@dimen/dp_7"
            android:paddingBottom="@dimen/dp_7">

            <TextView
                style="@style/WareHouse_Title_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="低庫存食材" />

            <TextView
                android:id="@+id/tv_low_inventory_food_num"
                style="@style/WareHouse_Value_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_6"
                android:text="@string/str_zero" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_1"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="@dimen/dp_7"
            android:paddingBottom="@dimen/dp_7">

            <TextView
                style="@style/WareHouse_Title_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="庫存食材成本" />

            <TextView
                android:id="@+id/tv_ingredients_cost_inventory"
                style="@style/WareHouse_Value_TextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_6"
                android:text="@string/str_zero"
                android:textColor="@color/required_color" />
        </LinearLayout>
    </LinearLayout>

    <!--    <com.scwang.smartrefresh.layout.SmartRefreshLayout-->
    <!--        android:id="@+id/sl_warehousing_list"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="match_parent"-->
    <!--        android:layout_marginTop="@dimen/dp_5">-->

    <!--        <HorizontalScrollView-->
    <!--            android:id="@+id/hs_warehousing_list"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="match_parent"-->
    <!--            android:scrollbarSize="@dimen/dp_0"-->
    <!--            android:scrollbars="horizontal">-->

    <!--&lt;!&ndash;                <include layout="@layout/item_warehousing_title" />&ndash;&gt;-->
    <!--                <androidx.recyclerview.widget.RecyclerView-->
    <!--                    android:id="@+id/rv_warehouse_list"-->
    <!--                    android:layout_width="match_parent"-->
    <!--                    android:layout_height="wrap_content" />-->

    <!--        </HorizontalScrollView>-->
    <com.gingersoft.supply_chain.mvp.ui.widget.TableView
        android:id="@+id/table_ware_housing_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:tv_head_layout_res_id="@layout/item_warehousing_query" />
    <!--    </com.scwang.smartrefresh.layout.SmartRefreshLayout>-->
</LinearLayout>
